| Home | Libraries | People | FAQ | More

### ssl::verify_context

A simple wrapper around the X509_STORE_CTX type, used during verification of a peer certificate.

    class verify_context :
      noncopyable

##### Types

Name | Description
--- | ---
native_handle_type | The native handle type of the verification context.

##### Member Functions

Name | Description
--- | ---
native_handle | Get the underlying implementation in the native type.
verify_context | Constructor.

##### Remarks

The `ssl::verify_context` does not own the underlying X509_STORE_CTX object.

##### Requirements

Header: `boost/asio/ssl/verify_context.hpp`

Convenience header: `boost/asio/ssl.hpp`